<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:output doctype-public="-//W3C//DTD HTML 4.0 Translational//EN"/>

<!-- ********** -->

  <xsl:template match="periodic_table">
    <html>
    <head>
    <title>The Elements</title>
    </head>
    <body>

    <h2>Table of Contents</h2>
    <ul>
      <xsl:apply-templates select="atom" mode="toc"/>
    </ul>

    <h2>The Elements</h2>
    <table width="100%" border="1">
      <th>Element</th>
      <th>Symbol</th>
      <th>Atomic No.</th>
      <th>Atomic Weight</th>
      <th>T<sub>boil</sub></th>
      <th>T<sub>melt</sub></th>
      <th>Density</th>
      <xsl:apply-templates select="atom" mode="full"/>
    </table>

    </body>
    </html>
  </xsl:template>

<!-- ********** -->
  <xsl:template match="atom" mode="toc">
    <li><a>
      <xsl:attribute name="href">#<xsl:value-of select="symbol"/></xsl:attribute>
      <xsl:value-of select="name"/>
    </a></li>
  </xsl:template>

<!-- ********** -->
  <xsl:template match="atom" mode="full">
    <tr>
    <td align="right" ><a>
      <xsl:attribute name="name">
        <xsl:value-of select="symbol"/>
      </xsl:attribute>
      <xsl:value-of select="name"/>
    </a></td>
    <td align="right" ><xsl:value-of select="symbol"/></td>
    <td align="right" ><xsl:value-of select="atomic_number"/></td>
    <td align="right" ><xsl:value-of select="atomic_weight"/></td>
    <td align="right" ><xsl:apply-templates select="boiling_point"/></td>
    <td align="right" ><xsl:apply-templates select="melting_point"/></td>
    <td align="right" ><xsl:apply-templates select="density"/></td>
    </tr>
  </xsl:template>

<!-- ********** -->
  <xsl:template match="melting_point | boiling_point | density">
  <xsl:value-of select="."/><xsl:text> </xsl:text><xsl:value-of select="@units"/>
  </xsl:template>

</xsl:stylesheet>
 
  